### eom 1.28.0

  * Translations update
  * plugins: Support building against newer libpeas1 versions
  * eom-window: Add additional key codes for image switching using mouse buttons
  * Eom*: Use fast content type as fallback
  * EomUtil: Add helper to get content type from GFileInfos
  * Add 'preserve-order' flag to allow viewing order specified on cmd line (#354)

### eom 1.28.0

  * Translations update
  * eom-window: update image counter even if current thumbnail is for failured image
  * meson: explicit dep on -lm as required for Fedora35
  * fix building with new libxml 2.12.0
  * fix warning in Serbian translations
  * fix warning in Japanese translations

### eom 1.27.1

  * Translations update
  * Add meson build support
  * Fix building with ImageMagick 7

### eom 1.27.0

  * Translations update
  * tx: update resource
  * tx: migrate config file
  * explicitly assigning value of variable of type 'int' to itself
  * Use GLib's new g_clear_signal_handler() function to simplify code
  * Variable 'show_image_collection' is assigned a value that is never used
  * Variable 'screen' is assigned a value that is never used
  * configure.ac: The macro 'AC_HELP_STRING' is obsolete
  * eom-scroll-view.c: fix -Wbad-function-cast warning
  * eom-close-confirmation-dialog: fix -Wbad-function-cast warning
  * Updated url in readme to point to working link
  * ci: drop -Wunused-parameter compiler cflag from debian build
  * eom-window: fix warning incompatible-pointer-types
  * Use a blank line at most
  * Accessibility: add proper mnemonic relations and labelling
  * Add support for libexif 0.6.14+ libexif 0.6.22+ was previously required because the macro EXIF_TAG_GAMMA was not defined reading the NEWS file.
  * tx: update resource
  * user-guide: fix wrong informations

### eom 1.26.0

  * Translations update
  * update copyright to 2021

### eom 1.25.1

  * Translations update
  * eom-window: Remove -Wmissing-field-initializers warnings
  * build: change the message for NLS in the configure summary
  * build: allow users to disable gettext support (--disable-nls)
  * build: Use PACKAGE_URL variable
  * build: display package name and version in configure summary
  * Fix desktop file validation warning
  * Remove cppcheck warning knownConditionTrueFalse
  * Remove unnecessary casts on signal function calls
  * Update copyright to 2021
  * Remove warning -Wshadow
  * eom-uri-converter: dereference of NULL 'repl_str' reported by gcc
  * Do not remove the accelerators from image properties dialog
  * Upgrade ui files
  * eom-save-as-dialog-helper: Fix resource path
  * eom-image: warning -Wexpansion-to-defined
  * eom-scroll-view.c: Redundant casting GTK_WIDGET
  * eom-scroll-view: Remove warning incompatible-pointer-types
  * Ensure scrollbar moves when dragged to move image
  * require libexif 0.6.22
  * Remove unused macros

### eom 1.25.0

  * Translations update
  * eom-metadata-reader: add gdk/gdk.h include
  * egg-editable-toolbar: Remove trailing spaces/tabs
  * Shorten the function name for notebook scroll-event
  * eom-util: Fix code indent
  * Add tab scrolling support for dialog windows
  * add git.mk to generate .gitignore
  * build: silent build warnings for distcheck
  * eom-window: expand the comment on about dialog
  * Remove warnings: cast between incompatible function types
  * eom.desktop: Do not collect the translation for Icon
  * help: Fix some incongruencies
  * help: Fix Image Collection shortcut (#263)
  * Use user page on github when user email is private
  * Update authors

### eom 1.24.0

  * Translations update
  * thumbnailer: add --with-gdk-pixbuf-thumbnailer option
  * Add eom-thumbnailer for webp files
  * autoconf: AC_PROG_CC was called before AX_CHECK_ENABLE_DEBUG
  * Fix preprocessing warning for file: src/eom-window.c
  * Fix preprocessing warning for file: src/eom-print.c
  * Update MIME types supported by commonly used pixbuf-loaders

### eom 1.23.2

  * Translations update
  * thumbnail: Remove use of mate-desktop-thumbnail helper
  * Update copyright to 2020
  * enable wayland support
  * EomPrintPreview: Fix preview thumbnail on HiDPI displays

### eom 1.23.1

  * Translations update
  * help: fix Italian translation
  * help: fix Russian translation
  * Add translator hint
  * migrate from intltools to gettext
  * add missing format specifier for ngettext
  * egg_editable_toolbar: avoid 'g_type_class_add_private'
  * egg-toolbar-editor: avoid 'g_type_class_add_private'
  * egg-toolbars-model: avoid 'g_type_class_add_private'
  * remove warning: "HAVE_EXIF" is not defined, evaluates to 0 [-Wundef]
  * remove warnings: incorrect usage of abs() [-Wabsolute-value]
  * remove warnings: redundant redeclaration [-Wredundant-decls]
  * remove warning: variable ‘priv’ set but not used
  * reload-plugin: suppress GtkAction warnings
  * properties-dialog: suppress GtkAction warnings
  * eom-window: suppress GtkAction warnings
  * egg-toolbar-editor: suppress GtkAction warnings
  * egg-editable-toolbar: suppress GtkAction warnings
  * Allow color correcting images with alpha channel
  * EomMetadataReaderPng: Use built-in SRGB profile for matching cHRM/gAMA
  * EomMetadataReaderPNG: Only build profile from cHRM if gAMA is present
  * Assume sRGB if no display profile is set
  * EomImage: Check GdkPixbuf for an ICC profile before falling back to sRGB
  * Assume sRGB when image doesn't have an ICC profile attached
  * Remove trailing whitespaces

### eom 1.23.0

  * Translations update
  * require GLib 2.52
  * Update FSF address
  * Restore image types list and add wildcard
  * Disconnect callbacks for "Open with" menu items before connecting new ones.
  * Unref GtkUIManager so "Open with" menu is freed.
  * [ci] Add cppcheck html report
  * update image of eom_toolbar_editor_window
  * Use ITS in docbook article info, validate with dbits schemas
  * store: Add any image file in the current directory to the store
  * Simplify the installation process of the icons
  * enable clang analyzer
  * help: update copyright
  * Upgrade the manual to docbook 5.0
  * Use persistent page setup

### eom 1.22.0

  * Translations update
  * Add update-authors.pl script which helps to update eom.about
  * Read authors (updated) and documenters (updated) from eom.about gresource
  * Initialize Travis CI support
  * Ensure proper translation of the about dialog title
  * Make translatable the copyright in about dialog
  * Help - fix gui labels
  * disable deprecation warnings for distcheck
  * Update the appdata XML file
  * Use make functions for HELP_LINGUAS
  * Fix url of ulink to point to mate-user-guide
  * Update Catalan screenhots
  * Fix spelling and grammar mistakes
  * Update eom_start_window.png
  * tx: add eom help to transifex config
  * Reduce the number of g_file_query_info calls at start-up
  * EomImage: Remove unused constructor
  * fix a memory leak

### eom 1.21.2

  * docs: remove eom-dialog.xml reference to fix distcheck
  * Translations update
  * tx: update source file
  * EomMetadataSidebar: Make header include guard actually work
  * EomWindow: Switch keyboard shortcuts for sidebar and gallery
  * Tweak sidebar ui
  * EomPropertiesDialog: Use standard::display-name when showing the parent
  * EomMetadataSidebar: Use standard::display-name when showing the parent
  * Fix GResource dependency calculation for out-of-tree builds
  * Make sure the libpeas-gtk dependency isn't optimized away
  * Remove EomDialog helper class
  * EomPreferencesDialog: Convert to GtkBuilder template
  * EomThumbnail: Load thumbnail frame from a GResource
  * Load EomMultipleSaveAsDialog from GResource
  * eom-window: fix deprecated GtkStock usage
  * Fix build without XMP support
  * Load eom-image-properties-dialog.ui with a gresource
  * properties-dialog: Port to gtk_show_uri_on_window
  * EomPropertiesDialog: Convert to GtkBuilder template
  * EomPropertiesDialog: Remove unused private members
  * Fix metadata sidebar with libexif disabled
  * Fix API docs build without libexif
  * EomMetadataSidebar: fix --without-libexif build
  * EomMetadataSidebar: Clear folder label if no image is set
  * EomSidebar: Increase margin at the sides of the sidebar
  * EomSidebar: Center and reformat page selector
  * EomMetadataSidebar: Fix leaked strings
  * metadata-sidebar: add the details button again
  * EogMetadataSidebar: Try to unclutter and improve the sidebar's look
  * GResource: free css_file
  * Initial GResource migration
  * Starting with eom.css and eom-ui.xml
  * EomExifUtil: Fix build with newer GCC
  * EomExifUtil: Fix build with older GCCs
  * EomExifUtil: Allow freeform formatting of date strings
  * EomMetadataDetails: Improve fractional GPS coordinates support
  * EomPropertiesDialog: Separate Exif/XMP-specific widgets from generic ones
  * EomMetadataDetails: Don't install header file
  * EomExifDetails: Rename to EomMetadataDetails
  * Drop eom_close_confirmation_dialog_set_sensitive
  * scroll-view: Remove a gdk_window_process_updates call
  * util: Port to gtk_show_uri_on_window
  * EomImage: Make sure to emit size-prepared after applying orientation
  * EomImage: Fix too early size-prepared emission
  * EomImage: Slight optimization of private data structure
  * drop forgotten gtkrc file
  * css: drop obsolete old css language

### eom 1.21.1

  * EomWindow: silence a introspection warning
  * Convert to G_DEFINE_TYPE_WITH_PRIVATE
  * EomApplication: Make most members private
  * Add new plugin hook for per-application plugins
  * Make EomWindow a GtkApplicationWindow
  * sidebar: show complete directory in button tooltip
  * properties-dialog: show complete directory in button tooltip
  * Make the URI-label in the properties dialog a button showing the folder
  * exif-details: make value column selectable
  * EomExifDetails: Take Exif IFD into account when creating hash keys
  * Place GPS Exif tags into their own subcategory
  * Reformat Exif tags for GPS position to be better understandable
  * Make sure GPS Exif tags are named and ordered correctly
  * Use GdkPixbuf's "orientation" feature as fallback for autorotation
  * EogScrollView: Implement simple two-pass filtering
  * EomScrollView: Use better downscaling filter
  * Remove unneeded finalize() from EomListStore
  * Update plugins to use EomWindowActivatable interface
  * Add our own activatable interface to EomWindow
  * Replace gdk_spawn_command_line_on_screen()
  * sidebar: replace deprecated gtk_misc_set_alignment
  * EomWindow: Simplify metadata sidebar title
  * EomSidebar: Set orientation property via g_object_new
  * Replace remaining uses of margin-left and margin-right properties
  * EomMetadataSidebar: Allow filename to be wrapped at char boundaries
  * sidebar: fix a deprecation
  * EomMetadataSidebar: Fix deprecation warning with newer GTK+
  * MetadataSidebar: Add a tooltip to the folder button
  * MetadataSidebar: Change layout of the data values
  * Make metadata values in MetadataSidebar selectable
  * Fix build when not building with libexif and/or exempi
  * Don't force-enable the sidebar on startup once a page is added
  * Make Exif/XMP summaries available as sidebar
  * Drop now unneeded TotemScrSaver
  * Use GtkApplication to inhibit the screensaver during slideshows
  * Ensure UI action sensitivity is set at least once
  * Remove leftover DBus service description file
  * Remove spurious g_object_unref
  * reload: ensure that pending updates to UI are complete
  * Port EomApplication to GtkApplication
  * Make the displayed EomImage a property of EomScrollView
  * EomPropertiesDialog: Make details view expand vertically
  * Enable more Drag&Drop actions when eom is drag source
  * Use new DBus API to show the current image in the file browser
  * Add an "Open containing folder" command

### eom 1.21.0

  * Translations update
  * toolbar: add missing popup menu for launching toolbar editor
  * sidebar: replace deprecated gtk_menu_popup
  * editable-toolbar: replace deprecated gtk_menu_popup
  * editable-toolbar: replace deprecated gtk_drag_begin
  * svg: Fix offset coordinates when transforming SVG images on HiDPI displays
  * require libpeas 1.8.0
  * plugins: Use Python 3.x for Python plugins
  * replace deprecated gdk_flush
  * fix some -Wincompatible-pointer-types warnings
  * Scale HiDPI images correctly
  * eom-window.c: avoid deprecated GtkButton:use-stock
  * avoid deprecated GtkStock

### eom 1.20.0

  * Translations update
  * drop CSS for GTK+ 3.18
  * require GTK+ 3.22 and GLib 2.50
  * update copyright year to 2018
  * egg-editable-toolbar.c/egg-toolbars-model.c: drop unused variables
  * print-preview: replace custom code with GDK function call

### eom 1.19.1

  * Translations update
  * gtk 3.22: avoid deprecated gdk_screen_get_monitor... functions:
  * don't use deprecated gtk_show_uri
  * avoid deprecated gdk_screen_get_number
  * Restore Polish translation credits from GNOME
  * fix warning on closing empty window with multiple eom windows

### eom 1.19.0

  * EomThumbView: Replace deprecated gtk_menu_popup function
  * multiple-save-as-dialog.ui: avoid deprecated widgets
  * error-message: replace usage of GtkStock
  * A bunch of instrospection warning fixes
  * EomScrollView: fix override_background deprecated call
  * EomPropertiesDialog: Fix deprecation warnings
  * EomThumbNav: Fix deprecated function warning
  * EomScrollView: Replace deprecated gtk_menu_popup function
  * EomScrollView: Switch from GtkDeviceManager to GdkSeat
  * fix typo in function annotation
  * use different css files for < gtk+=3.20
  * Translations update
  * EomWindow: Set file open dialog transient for its parent window
  * update copyright year to 2017
  * settings: use rgb color definition as defaults
  * UI: avoid using deprecaded widgets
  * EomCloseConfirmationDialog: set max width chars for primary label
  * EomCloseConfirmationDialog: Fix size request for the image list
  * Printing paper orientation should default based on image dimensions
  * Avoid recompressing JPEGs as PNG when printing
  * EomFileChooser: Use MateThumbnailFactory to create preview image
  * EomPropertiesDialog: Allow RGBA for transparent background color
  * preferences-ui: drop usage of MateColorButton
  * EomScrollView: Switch to GdkRGBA for background and transparent colors
  * EomPrintPreview: Avoid unnecessary color parsing
  * Fix a few GtkStock deprecations
  * EomCloseConfirmationDialog: replace deprecated GTK_STOCK_DIALOG_WARNING
  * toolbar-editor: avoid deprecated GtkAlignment
  * Bring eom-image.c's SVG handling up to date, properly recognize svgz filetypes
  * eom_uri_converter: GList leak fix

### eom 1.18.0

  * NEWS: use consistent, project wide, markdown-like formatting
    to make generating release announcements easier
  * Build: require libmate-desktop >= 1.17
  * Move to GTK+3 (require GTK+ >= 3.14), drop GTK+2 code and
    --with-gtk build option
  * Drop Python bindings and --enable-python build option
  * Port plugin system and plugins to libpeas
  * Some code and docs cleanups
  * Translations update

### eom 1.16.1

  * Prefs dialog: fix runtime warning
  * Fix auto-reload of externally modified image
  * Fix memleak when loading SVG fails
  * GTK+3: force X11 backend

### eom 1.16.0

  * Use GtkAboutDialog instead of MateAboutDialog
  * Fix possible out-of-bounds write in error message area
  * Some cleanups
  * Translations update

### eom 1.14.2

  * Fix zoom and scroll performance on large images
  * Translations update
  * Make distcheck use currently selected GTK+ version

### eom 1.14.1

  * Translations update
  * Fix new windows not getting focus

### eom 1.14.0

  * Drop MateConf migration script
  * Use org.gnome.SessionManager DBus name to inhibit screensaver
  * Auto-reload unmodified images when their file is changed
  * GTK+3: add eom-window style class at top level
  * GTK+3: add css name EggToolbarEditor for 3.20
  * GTK+3: fix SVG rendering
  * GTK+3: fix several deprecations
  * Some more fixes and cleanups
  * Translations update
  * Fix Changelog generation

### eom 1.12.2

  * Print preview: avoid integer overflow when allocating a large
   block of memory
  * Fix build with introspection enabled
  * Fix GTK+3 build when --without-cms is set
  * Some more fixes

### eom 1.12.1

  * Fix shortcuts for several menu items in en_US locale
  * Some more fixes and cleanups

### eom 1.12.0

  * New release incorporating all fixes from 1.10.x bugfix releases

### eom 1.10.5

  * fix gtk3 build

### eom 1.10.4

  * EomScrollView: clip all types of images to the visible image area
  * EomScrollView: enable double buffering
  * Bump GLib/GIO required version to 2.36
  * Drop useless dependency on mate-icon-theme
  * Fix build with libexif when prefix is not /usr
  * Some annotation fixes
  * Some GTK+3 fixes and improvements

### eom 1.10.3

  * Fix scroll issues during zoom
  * Multiple help fixes

### eom 1.10.2

  * Fix gschema translations.
  * GTK3 fixes and improvements.

### eom 1.10.1

  * Bugfixes
  * Translations update

### eom 1.10.0

  * Bugfixes
  * Improvements taken from eog

### eom 1.8.0

  * Updates for the man page
  * Add random mode in slideshow mode

### eom 1.7.0

  * Migration to yelp-tools
  * Migration to lcms2

### eom 1.5.0

  * Migration to gsettings.
